package dto

import (
	models "ERP_storage/models/ContractReview"
)

// ServiceTypePageReq 列表或者搜索使用结构体
type ServiceTypePageReq struct {
	Pagination `search:"-"`
	T_name     string `form:"T_name" search:"type:contains;column:t_name;table:service_type" example:""` // 名称
}

func (m *ServiceTypePageReq) GetNeedSearch() interface{} {
	return *m
}

// ServiceTypeInsertReq 增使用的结构体
type ServiceTypeInsertReq struct {
	T_name string `form:"T_name" example:"服务类型"  vd:"len($)>0;msg:'服务类型不能为空'"` //服务类型
}

func (s *ServiceTypeInsertReq) Generate(model *models.ServiceType) {
	model.T_name = s.T_name
	model.T_State = 1
}

// ServiceTypeUpdateReq 改使用的结构体
type ServiceTypeUpdateReq struct {
	T_id   int    `form:"T_id"  example:"1"`
	T_name string `form:"T_name"  example:"规格"` // 规格
}

func (s *ServiceTypeUpdateReq) Generate(model *models.ServiceType) {
	model.Id = s.T_id
	model.T_name = s.T_name
}

func (s *ServiceTypeUpdateReq) GetId() interface{} {
	return s.T_id
}

// ServiceTypeGetReq 获取单个的结构体
type ServiceTypeGetReq struct {
	T_id int `form:"T_id"`
}

func (s *ServiceTypeGetReq) GetId() interface{} {
	return s.T_id
}

// ServiceTypeDeleteReq 删除的结构体
type ServiceTypeDeleteReq struct {
	T_id int `form:"T_id"`
}

func (s *ServiceTypeDeleteReq) GetId() interface{} {
	return s.T_id
}
